package com.bjtdba.entity.order;

import java.io.Serializable;
import java.util.Date;

/**
 * 购物车表(StoreCart)实体类
 *
 * @author makejava
 * @since 2022-09-29 14:38:55
 */
public class StoreCart implements Serializable {
    private static final long serialVersionUID = 932128865399892795L;
    /**
     * 购物车表ID
     */
    private Long cartId;
    /**
     * 用户ID
     */
    private Long uid;
    /**
     * 商户 id
     */
    private Long merId;
    /**
     * 类型 0=普通产品
     */
    private Integer productType;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品属性
     */
    private String productAttrUnique;
    /**
     * 商品数量
     */
    private Integer cartNum;
    /**
     * 添加时间
     */
    private Date createTime;
    /**
     * 来源 1=直播间
     */
    private Integer source;
    /**
     * 来源关联 id
     */
    private Long sourceId;
    /**
     * 0 = 未购买 1 = 已购买
     */
    private Integer isPay;
    /**
     * 是否删除
     */
    private Integer isDel;
    /**
     * 是否为立即购买
     */
    private Integer isNew;
    /**
     * 是否失效
     */
    private Integer isFail;


    public Long getCartId() {
        return cartId;
    }

    public void setCartId(Long cartId) {
        this.cartId = cartId;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getProductAttrUnique() {
        return productAttrUnique;
    }

    public void setProductAttrUnique(String productAttrUnique) {
        this.productAttrUnique = productAttrUnique;
    }

    public Integer getCartNum() {
        return cartNum;
    }

    public void setCartNum(Integer cartNum) {
        this.cartNum = cartNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Long getSourceId() {
        return sourceId;
    }

    public void setSourceId(Long sourceId) {
        this.sourceId = sourceId;
    }

    public Integer getIsPay() {
        return isPay;
    }

    public void setIsPay(Integer isPay) {
        this.isPay = isPay;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }

    public Integer getIsNew() {
        return isNew;
    }

    public void setIsNew(Integer isNew) {
        this.isNew = isNew;
    }

    public Integer getIsFail() {
        return isFail;
    }

    public void setIsFail(Integer isFail) {
        this.isFail = isFail;
    }

}

